Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core
Class Conventions

    java.lang.Object
      org.springframework.core.Conventions

    public abstract class Conventions

extends Object

Provides methods to support various naming and other conventions used throughout the framework. Mainly for internal use within the framework.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

Constructor Summary
`Conventions()`

Method Summary
`static String` | `attributeNameToPropertyName(String attributeName)` Convert `String`s in attribute name format (lowercase, hyphens separating words) into property name format (camel-cased).
`static String` | `getQualifiedAttributeName(Class enclosingClass, String attributeName)` Return an attribute name qualified by the supplied enclosing `Class`.
`static String` | `getVariableName(Object value)` Determine the conventional variable name for the supplied code>Object based on its concrete type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Conventions

    public Conventions()

Method Detail

### getVariableName

    public static String getVariableName(Object value)

  Determine the conventional variable name for the supplied code>Object based on its concrete type. The convention used is to return the uncapitalized short name of the `Class`. So, `com.myapp.Product` becomes `product`.

  For arrays, we use the pluralized version of the array component type. For `Collection`s we attempt to 'peek ahead' in the `Collection` to determine the component type and return the pluralized version of that component type.

### attributeNameToPropertyName

    public static String attributeNameToPropertyName(String attributeName)

  Convert `String`s in attribute name format (lowercase, hyphens separating words) into property name format (camel-cased). For example, `transaction-manager` is converted into `transactionManager`.

### getQualifiedAttributeName

    public static String getQualifiedAttributeName(Class enclosingClass,
                                                   String attributeName)

  Return an attribute name qualified by the supplied enclosing `Class`. For example, the attribute name '`foo`' qualified by `Class` '`com.myapp.SomeClass`' would be '`com.myapp.SomeClass.foo`'

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.